/*
 * ----------------------- STONEBREAK --------------------------------
 *
 * Version 1.0
 * 
 * A little breakout clone in Java, coded for fun.
 * Feel free to do with the source code whatever you want, but I would be happy
 * if you drop me a line for what you used it and if you liked it.
 *
 * www.sunshine2k.de
 * webmaster__at__sunshine2k.de
 *
 * Sunshine, June 2011
 */

package StoneBreak;

import StoneBreak.StoneBreakGame.Globals;
import java.applet.Applet;
import java.net.URL;

/* to do:
 * - main menu: start game, level select, difficulty, graphics particle, physics (gravity)
 */

/**
 *
 * @author Sunshine2k
 */
public class StoneBreakApplet extends Applet {

    private GamePanel   gamePanel;
    private static URL  appletCodeBase;
    
    /**
     * Initialization method that will be called after the applet is loaded
     * into the browser.
     */
    @Override
    public void init()
    {
        this.setLayout(null);
        
        /* load width value of game from hmtl */
        int panelWidth = 700;   // default width of applet
        String panelWidthStr = this.getParameter("GameWidth");
        if ( (panelWidthStr != null) && !(panelWidthStr.equals("")) )
        {
            try
            {
                panelWidth = Integer.parseInt(panelWidthStr);
            }
            catch (NumberFormatException nfe) { }
        }
        Globals.CalculateAllVariables(panelWidth);
        // set actual new size
        this.resize(Globals.APPLET_WIDTH, Globals.APPLET_HEIGHT);
        // save reference for later
        appletCodeBase = this.getCodeBase();
        // go!
        gamePanel = new GamePanel();
        this.add(gamePanel);
        gamePanel.setVisible(true);
    }

    /**
     * A little helper function for other classes to easy access the codebase of the applet.
     * @return applet codebase
     */
    public static URL getAppletCodeBase() { return appletCodeBase; }

}
