/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package StoneBreak.StoneBreakGame.Blocks;

import StoneBreak.StoneBreakGame.Globals;
import java.awt.Color;
import java.awt.GradientPaint;
import java.awt.Graphics2D;

/**
 *
 * @author SUN2K
 */
public class BlockType3Hits extends BlockBaseType
{

    private Color colorDark;
    private Color colorLight;

    private int state;

    public BlockType3Hits()
    {
        super();

        colorDark = new Color(54, 54, 74);
        colorLight = new Color(91, 91, 71);

        state = 3;
    }

    @Override
    public void draw(Graphics2D g)
    {
        if (internalState == BlockState.NORMAL)
        {
            GradientPaint gp = new GradientPaint(posX, posY, colorDark,
                                        posX + Globals.BLOCKSIZE_X, posY + Globals.BLOCKSIZE_Y, colorLight, false);
            g.setPaint(gp);
            g.fillRect(posX, posY, Globals.BLOCKSIZE_X, Globals.BLOCKSIZE_Y);
            drawBlockBorder(g);
        }
        else
        {
            super.draw(g);
        }
    }

    @Override
    public void hit()
    {
        state--;
        if (state == 2)
        {
            colorDark = new Color(76, 76, 92);
            colorLight = new Color(110, 110, 130);
        }
        else if (state == 1)
        {
            colorDark = new Color(81, 91, 101);
            colorLight = new Color(105, 124, 139);
        }
        else
        {
            state = 0;
            /*isActive = false;*/
            internalState = BlockState.EMPTY;
            finalHit();
        }
    }

    public int getScore()
    {
        return Globals.BLOCKSCORE_TYPE_3HITS;
    }
}