/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package StoneBreak.StoneBreakGame.Blocks;

import StoneBreak.StoneBreakGame.Globals;
import java.awt.Color;
import java.awt.GradientPaint;
import java.awt.Graphics2D;

/**
 * This class represents a normal block, painted with a red-orange gradient.
 * @author SUN2K
 */
public class BlockTypeNormalGradient extends BlockBaseType {

    /* color for topleft corner */
    private Color color1 = Color.ORANGE;
    /* color for bottomright corner */
    private Color color2 = Color.RED.brighter().brighter().brighter();

    /**
     * Standard constructor
     */
    public BlockTypeNormalGradient()
    {
        super();    /* important to call super constructor */
        explosionColor = color1;    /* set color used for explosion handling */
    }

    /**
     * Override painting method to draw the block at normal state - in other states
     * let superclass do the handling
     * @param g Graphics object used for drawing
     */
    @Override
    public void draw(Graphics2D g)
    {
        if (internalState == BlockState.NORMAL)
        {
            GradientPaint gp = new GradientPaint(posX, posY, color1,
                                        posX + Globals.BLOCKSIZE_X, posY + Globals.BLOCKSIZE_Y, color2, false);
            g.setPaint(gp);
            g.fillRect(posX, posY, Globals.BLOCKSIZE_X, Globals.BLOCKSIZE_Y);
            drawBlockBorder(g);
        }
        else
        {
            super.draw(g);
        }
    }

    public int getScore()
    {
        return Globals.BLOCKSCORE_TYPE_NORMALGRADIENT;
    }

}
